Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/Image.h File Reference

Declaration of class Image. More...

`#include "CameraInfo.h"`
`#include "Tools/Streams/InOut.h"`
`#include "Representations/Perception/ColorTable.h"`
`#include "Tools/ColorClasses.h"`
`#include "Tools/Math/Common.h"`
`#include <string.h>`

Include dependency graph for Image.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Image
| Platform independend definition of an image class. More...
## Functions
Out & | operator<< (Out &stream, const Image &image)
| Streaming operator that writes an Image to a stream.
In & | operator>> (In &stream, Image &image)
| Streaming operator that reads a Image from a stream.

## Detailed Description

Declaration of class Image.

Definition in file Image.h.

## Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const Image & | image
| ) |

  | Streaming operator that writes an Image to a stream. Parameters:
  stream | The stream to write on.
  image | The Image object.
Returns: The stream. Definition at line 157 of file Image.cpp. References Image::cameraInfo, Image::frameNumber, Image::image, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | Image & | image
| ) |

  | Streaming operator that reads a Image from a stream. Todo: Implement copying from OFbkImageVectorData to Image. Parameters:
  stream | The stream from which is read.
  image | The system independent image object.
Returns: The stream. Definition at line 58 of file Sensors.cpp. References Image::cameraInfo, Image::frameNumber, Image::image, In::read(), CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, Image::setCameraInfo(), and In::skip().

Here is the call graph for this function: